package com.virtual.pollentia.WalkingTour.vista;


/**
 * Created by Roger Gomez
 */

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

import com.virtual.pollentia.WalkingTour.controlador.Controlador;
import com.virtual.pollentia.pollentia_tour.R;

public class Text extends Activity {
    TextView tv;
    TextView title;
    private Controlador controlador;

    /**
     * Función que es llamada al crear la activity.
     *
     * @param savedInstanceState
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_text);

        //cogemos el textView de Titulo y el de texto
        this.tv = (TextView) this.findViewById(R.id.textViewWithScroll);
        this.title = (TextView) this.findViewById(R.id.textTitle);

        //cogemos el controlador y leemos y mostramos los textos
        controlador = controlador.getSingletonInstance(null, null);
        controlador.leerTextoPuntoImportante(tv, title);

    }


    /**
     * Al pulsar el botón de atras en el dispositivo finalizamos la activity.
     */

    @Override
    public void onBackPressed() {

        tv = null;
        title = null;
        //finalizamos la activity
        this.finish();
        //transicion entre pantallas
        this.overridePendingTransition(R.anim.slide_in_right, R.anim.slide_out_left);

    }
}